com.genesyslab.wfm8.API.service.adherence850

## Class AdhEventHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.adherence850.AdhEventHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhEventHolder
      extends java.lang.Object
      implements java.io.Serializable

  `AdhEvent` holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SchStateInfo>` | `schStateInfo` An array of scheduled state description information for all schedule states participating in returned events.
    `protected int` | `schStateInfoNSizeIs` Number of elements in schStateInfo array
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` Response timestamp value
    `protected java.util.List<AdhEvent>` | `wmEvents` An array of `AdhEvent` events
    `protected int` | `wmEventsNSizeIs` Number of elements in wmEvents array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhEventHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<SchStateInfo>` | `getSchStateInfo()` Gets the value of the schStateInfo property.
    `int` | `getSchStateInfoNSizeIs()` Gets the value of the schStateInfoNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<AdhEvent>` | `getWmEvents()` Gets the value of the wmEvents property.
    `int` | `getWmEventsNSizeIs()` Gets the value of the wmEventsNSizeIs property.
    `int` | `hashCode()`
    `void` | `setSchStateInfo(java.util.List<SchStateInfo> schStateInfo)` Sets the value of the schStateInfo property.
    `void` | `setSchStateInfoNSizeIs(int value)` Sets the value of the schStateInfoNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmEvents(java.util.List<AdhEvent> wmEvents)` Sets the value of the wmEvents property.
    `void` | `setWmEventsNSizeIs(int value)` Sets the value of the wmEventsNSizeIs property.
    `java.lang.String` | `toString()`
    `AdhEventHolder` | `withSchStateInfo(java.util.Collection<SchStateInfo> values)`
    `AdhEventHolder` | `withSchStateInfo(SchStateInfo... values)`
    `AdhEventHolder` | `withSchStateInfoNSizeIs(int value)`
    `AdhEventHolder` | `withTimestamp(long value)`
    `AdhEventHolder` | `withWmEvents(AdhEvent... values)`
    `AdhEventHolder` | `withWmEvents(java.util.Collection<AdhEvent> values)`
    `AdhEventHolder` | `withWmEventsNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmEventsNSizeIs

          protected int wmEventsNSizeIs

      Number of elements in wmEvents array

    - #### wmEvents

          protected java.util.List<AdhEvent> wmEvents

      An array of `AdhEvent` events

    - #### schStateInfoNSizeIs

          protected int schStateInfoNSizeIs

      Number of elements in schStateInfo array

    - #### schStateInfo

          protected java.util.List<SchStateInfo> schStateInfo

      An array of scheduled state description information for all schedule states participating in returned events. `SchStateInfo`

    - #### timestamp

          protected long timestamp

      Response timestamp value

  - ### Constructor Detail

    - #### AdhEventHolder

          public AdhEventHolder()

  - ### Method Detail

    - #### getWmEventsNSizeIs

          public int getWmEventsNSizeIs()

      Gets the value of the wmEventsNSizeIs property.

    - #### setWmEventsNSizeIs

          public void setWmEventsNSizeIs(int value)

      Sets the value of the wmEventsNSizeIs property.

    - #### getWmEvents

          public java.util.List<AdhEvent> getWmEvents()

      Gets the value of the wmEvents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmEvents property.

      For example, to add a new item, do as follows:

              getWmEvents().add(newItem);

      Objects of the following type(s) are allowed in the list `AdhEvent`

    - #### getSchStateInfoNSizeIs

          public int getSchStateInfoNSizeIs()

      Gets the value of the schStateInfoNSizeIs property.

    - #### setSchStateInfoNSizeIs

          public void setSchStateInfoNSizeIs(int value)

      Sets the value of the schStateInfoNSizeIs property.

    - #### getSchStateInfo

          public java.util.List<SchStateInfo> getSchStateInfo()

      Gets the value of the schStateInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schStateInfo property.

      For example, to add a new item, do as follows:

              getSchStateInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `SchStateInfo`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmEventsNSizeIs

          public AdhEventHolder withWmEventsNSizeIs(int value)

    - #### withWmEvents

          public AdhEventHolder withWmEvents(AdhEvent... values)

    - #### withWmEvents

          public AdhEventHolder withWmEvents(java.util.Collection<AdhEvent> values)

    - #### withSchStateInfoNSizeIs

          public AdhEventHolder withSchStateInfoNSizeIs(int value)

    - #### withSchStateInfo

          public AdhEventHolder withSchStateInfo(SchStateInfo... values)

    - #### withSchStateInfo

          public AdhEventHolder withSchStateInfo(java.util.Collection<SchStateInfo> values)

    - #### withTimestamp

          public AdhEventHolder withTimestamp(long value)

    - #### setWmEvents

          public void setWmEvents(java.util.List<AdhEvent> wmEvents)

      Sets the value of the wmEvents property.
      Parameters:
        `wmEvents` - allowed object is `AdhEvent`

    - #### setSchStateInfo

          public void setSchStateInfo(java.util.List<SchStateInfo> schStateInfo)

      Sets the value of the schStateInfo property.
      Parameters:
        `schStateInfo` - allowed object is `SchStateInfo`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.